<!-- ...................................................................... -->
<!-- SSML 1 QName (Qualified Name) Module ................................. -->
<!-- file: ssml1-qname.mod
     
     This is Speech Synthesis Markup Language (SSML), Version 1.
     
     Copyright 2004 Wakaba <w@suika.fam.cx>, All Rights Reserved.
     
     Permission to use, copy, modify and distribute this DTD and its
     accompanying documentation for any purpose and without fee is hereby
     granted in perpetuity, provided that the above copyright notice and
     this paragraph appear in all copies.  The copyright holders make no
     representation about the suitability of the DTD for any purpose.
     
     It is provided "as is" without expressed or implied warranty.
     
     Revision: 2004-09-16T04:03:38+00:00 (Generated by mkdtds/1.06)
     
     This DTD module is identified by the SYSTEM identifier:
     
       SYSTEM "http://suika.fam.cx/www/markup/voice/schema/module/ssml1-qname.mod"
     
     ...................................................................... -->

<!-- SSML QName (Qualified Name) Module

     This module is contained in two parts, labeled Section 'A' and 'B':
     
       Section A declares parameter entities to support namespace-qualified
       names, namespace declarations, and name prefixing.
     
       Section B declares parameter entities used to provide namespace-qualified
       names for all element types and global attribute names.
-->

<!ENTITY % sgml.tag.minimizable "IGNORE">

<!ENTITY % NS.prefixed "IGNORE">

<!-- Section A: XML Namespace Framework :::::::::::::::::::::::::: -->

<!-- 1. Declare a %ssml1.prefixed; conditional section keyword, used
        to activate namespace prefixing. -->
<!ENTITY % ssml1.prefixed "%NS.prefixed;">

<!ENTITY % ssml1.global.attrs.prefixed "%NS.prefixed;">

<!ENTITY % ssml1.xsi.attrs "INCLUDE">

<!-- 2. Declare a parameter entity %ssml1.xmlns; containing
        the URI reference used to identity the namespace. -->
<!ENTITY % ssml1.xmlns "http://www.w3.org/2001/10/synthesis">

<!-- 3. Declare parameter entity %ssml1.prefix; containing
        the default namespace prefix string to use when prefixing
        is enabled. This may be overridden in the DTD driver or the
        internal subset of a document instance.
        
        NOTE: As specified in XML Namespace speficications, the namespace
        prefix serves as a proxy for the URI reference, and is not in itself
        significant. -->
<!ENTITY % ssml1.prefix "ssml">

<!-- 4. Declare parameter entity %ssml1.pfx; containing the
        colonized prefix (e.g, '%ssml1.prefix;:') used when
        prefixing is active, an empty string when it is not. -->
<![%ssml1.prefixed;[
<!ENTITY % ssml1.pfx "%ssml1.prefix;:">
]]>
<!ENTITY % ssml1.pfx "">

<!-- declare qualified name extensions here ............ -->
<!ENTITY % ssml1-qname-extra.mod "">
%ssml1-qname-extra.mod;

<!-- 5. The parameter entity %ssml1.xmlns.extra.attrib; may be
        redeclared to contain any foreign namespace declaration
        attributes for namespaces embedded.  The default
        is an empty string. -->
<!ENTITY % ssml1.xmlns.extra.attrib "">

<!-- The parameter entity %URI.datatype; should already be defined in
     Datatype module. -->
<!ENTITY % URI.datatype "CDATA">

<![%ssml1.prefixed;[
<!ENTITY % ssml1.xmlns.decl.attrib
	"xmlns:%ssml1.prefix;	%URI.datatype;	#FIXED '%ssml1.xmlns;'">
]]>
<!ENTITY % ssml1.xmlns.decl.attrib
	"xmlns	%URI.datatype;	#FIXED '%ssml1.xmlns;'">

<!-- Declare a parameter entity %XSI.prefix as a prefix to use for
     XML Schema Instance attributes. -->
<!ENTITY % XSI.prefix "xsi">

<!ENTITY % XSI.pfx "%XSI.prefix;:">

<!ENTITY % XSI.xmlns "http://www.w3.org/2001/XMLSchema-instance">

<!-- Declare a parameter entity %XSI.xmlns.attrib as support for
     the schemaLocation attribute. -->
<!ENTITY % XSI.xmlns.attrib
	"xmlns:%XSI.prefix;	%URI.datatype;	#FIXED '%XSI.xmlns;'">

<![%ssml1.prefixed;[
<!ENTITY % NS.decl.attrib
	"%ssml1.xmlns.decl.attrib;
	%ssml1.xmlns.extra.attrib;
	%XSI.xmlns.attrib;">
]]>
<!ENTITY % NS.decl.attrib
	"%ssml1.xmlns.extra.attrib;
	%XSI.xmlns.attrib;">

<!-- Declare a parameter entity containing all XML namespace declaration
     attributes used, including a default xmlns declaration when prefixing
     is inactive. -->
<![%ssml1.prefixed;[
<!ENTITY % ssml1.xmlns.attrib
	"%NS.decl.attrib;">
]]>
<!ENTITY % ssml1.xmlns.attrib
	"%ssml1.xmlns.decl.attrib;
	%NS.decl.attrib;">

<!-- Section B: SSML Qualified Names :::::::::::::::::::::::::::::: -->

<!-- placeholder for qualified name redeclarations -->
<!ENTITY % ssml1-qname.redecl "">
%ssml1-qname.redecl;

<!-- 6. This section declare parameter entities used to provide
        namespace-qualified names for all element types and global
        attribute names. -->
<!ENTITY % ssml1.audio.qname    "%ssml1.pfx;audio">
<!ENTITY % ssml1.break.qname    "%ssml1.pfx;break">
<!ENTITY % ssml1.desc.qname     "%ssml1.pfx;desc">
<!ENTITY % ssml1.emphasis.qname "%ssml1.pfx;emphasis">
<!ENTITY % ssml1.lexicon.qname  "%ssml1.pfx;lexicon">
<!ENTITY % ssml1.mark.qname     "%ssml1.pfx;mark">
<!ENTITY % ssml1.meta.qname     "%ssml1.pfx;meta">
<!ENTITY % ssml1.metadata.qname "%ssml1.pfx;metadata">
<!ENTITY % ssml1.p.qname        "%ssml1.pfx;p">
<!ENTITY % ssml1.phoneme.qname  "%ssml1.pfx;phoneme">
<!ENTITY % ssml1.prosody.qname  "%ssml1.pfx;prosody">
<!ENTITY % ssml1.s.qname        "%ssml1.pfx;s">
<!ENTITY % ssml1.say-as.qname   "%ssml1.pfx;say-as">
<!ENTITY % ssml1.speak.qname    "%ssml1.pfx;speak">
<!ENTITY % ssml1.sub.qname      "%ssml1.pfx;sub">
<!ENTITY % ssml1.voice.qname    "%ssml1.pfx;voice">



<!-- end of ssml1-qname.mod -->
